Subject: Re: checking out later commits from rolled back state

From: Alexey Shumkin <[email-masked]>
Date: Tue, 1 Nov 2011 18:56:26 +0400

usually, before you checkout a "past" commit you are on a "current"
named branch
so, do
$ git log <branch_you_were_on_before>

In general, most "history" git commands take a commit hash as an
argument and HEAD as a default one if none was specified
(HEAD is always CURRENT commit (you are on), it is a difference of SVN)

when you ran
$ git log
it was, actually, 
$ git log HEAD

Also, you may specify several commits as arguments of git log
It it very usefull to use (in terminal) to see how branches are diverged
(on X/Windows gitk is more pretty)
$ git log --oneline --graph --decorate <branch1> <branch2> <branchN>

There is also  "git reflog" command
RTM git-reflog

> Hello, I a m relatively new to git, and my question pertains to
> moving back and forth through the history of my commits.
> 
> Here is how I open a previous commit:
> 
> 1)$ git log
> 
> 2) (get sha1 hash of previous commit)
> 
> 3)$ git checkout <hash of my previous commit>
> 
> the problem is that once I am working with that commit, git log only
> shows the hash tags up to the time that the commit was made, but not
> any of the later commits. Is there a way to get the hash tags of my
> later commits when I am in that rolled back state?
> 
> --
> View this message in context:
> http://git.661346.n2.nabble.com/checking-out-later-commits-from-rolled-back-state-tp6951892p6951892.html
> Sent from the git mailing list archive at Nabble.com.